Loading...
Searching...
No Matches
SkipStages.h File Reference

Defines a pass that dynamically avoids realizing unnecessary stages. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::skip_stages (const Stmt &s, const std::vector< Function > &outputs, const std::vector< std::vector< std::string > > &order, const std::map< std::string, Function > &env)
| Avoid computing certain stages if we can infer a runtime condition to check that tells us they won't be used.

## Detailed Description

Defines a pass that dynamically avoids realizing unnecessary stages.

Definition in file SkipStages.h.